link-grammar (5.13.0+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:24:12 +0000

link-grammar (5.13.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Oct 2025 16:18:49 +0100

link-grammar (5.12.8+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 09:07:48 +0200

link-grammar (5.12.7+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Sep 2025 21:09:58 +0200

link-grammar (5.12.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten resolving arch-specific dependencies
  * update watch file: use file format 5
  * declare compliance with Debian Policy 4.7.2
  * set Multi-Arch: no (not same)
    for binary package liblink-grammar-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Aug 2025 11:08:58 +0200

link-grammar (5.12.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jun 2024 08:46:46 +0200

link-grammar (5.12.4~dfsg-2) unstable; urgency=high

  * Team upload
  * Source-only upload

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 13:29:51 -0400

link-grammar (5.12.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * generally update java-related architecture constraints,
    semi-auto-resolved using new source helper script pkgarchs.sh;
    thanks to Samuel Thibault for nudging
  * update copyright info: update coverage
  * stop autopkgtest-depend on python3-distutils;
    closes: bug#1065897, thanks to Graham Inggs
  * rename libraries for 64-bit time_t transition;
    tighten build-dependency on d-shlibs to support option --t64;
    closes: bug#1062748, thanks to Steve Langasek
  * tighten cleanup after build;
    closes: bug#1047439, thanks to Lucas Nussbaum
  * build-depend on pkgconf (not pkg-config)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2024 14:28:09 +0200

link-grammar (5.12.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 18:28:28 +0200

link-grammar (5.12.0~dfsg-2) unstable; urgency=medium

  * fix source helper tool copyright-check
    to avoid insecure shell expansion
  * simplify build rules: testsuite is now more verbose;
    thanks to Matthias Klose (see bug#1029233)
  * add patch cherry-picked upstream
    to allocate a per-thread copy of pcre2_match_data

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2023 06:40:52 +0100

link-grammar (5.12.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check
    to work with Path::Tiny 0.144
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Jan 2023 11:16:04 +0100

link-grammar (5.11.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop all patch, now applied
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Oct 2022 17:23:51 +0200

link-grammar (5.10.5~dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to find zlib using pkg-config
  * add patches cherry-picked upstream
    to bypass a version check bug in AX_PYTHON_DEVEL,
    superseding patch 2001;
    closes: bug#1019432, #1020176,
    thanks to Graham Inggs and Lucas Nussbaum
  * add debian/patches/README
    documenting patch versioning micro-policy
  * drop ancient breaks/replaces
  * update source helper script copyright-check
  * override more license-related lintian warnings

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Sep 2022 12:20:09 +0200

link-grammar (5.10.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + fix typo
    + update coverage
  * declare compliance with Debian Policy 4.6.1
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Jun 2022 23:47:26 +0200

link-grammar (5.10.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2022 03:03:08 +0100

link-grammar (5.10.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 22:18:01 +0100

link-grammar (5.10.2~dfsg-3) unstable; urgency=medium

  * add patch 2001
    to work around broken version check in ax_python_devel.m4;
    closes: bug#1004416, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2022 10:53:23 +0100

link-grammar (5.10.2~dfsg-2) unstable; urgency=medium

  * revert to disable sh4 as java-supported architecture
  * build-depend on python3-dev (not python3-all-dev);
    closes: bug#998442, thanks to Graham Inggs
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Nov 2021 23:32:19 +0100

link-grammar (5.10.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix size in brand-new `link-generator` (hits 32-bit & ARM);
      closes: bug#993847, thanks to Adrian Bunk

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * drop obsolete unapplied patches
  * enable sh4 as java-supported architecture

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2021 20:31:12 +0200

link-grammar (5.10.1~dfsg-3) unstable; urgency=medium

  * drop non-working workaround for bug#993847
  * add patches cherry-picked upstream
    to fix testsuite failing on 32bit archs;
    closes: bug#993847, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 14:54:25 +0200

link-grammar (5.10.1~dfsg-2) unstable; urgency=medium

  * conditionally avoid tests
    confirmed upstream to be broken on 32bit archs;
    closes: bug#993847, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 00:32:29 +0200

link-grammar (5.10.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop build-depend on minisat, unused since 5.9.1
  * update copyright info:
    + add alternate GitHub source URI
    + use License-Grant and Reference;
      add lintian overrides about License-Reference field
    + consistently list License sections last, and sort alphabetically
    + normalize listing of copyright holders, and sort alphabetically
    + normalize listing of files
    + fix list file licensed ISC and LGPL-2.1
    + update coverage
  * add source script copyright-check
  * update copyright hints

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 12:19:59 +0200

link-grammar (5.10.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  * update copyright info:
    + repackage source, omitting source-less PDF file
  * update watch file: use repack suffix ~dfsg
  * drop obsolete python2 install hint file
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 19:46:42 +0200

link-grammar (5.9.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Jun 2021 11:26:44 +0200

link-grammar (5.8.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * adopt package
  * update watch file:
    + simplify filenamemangle regex
    + use substitution strings
    + track tags (not releases)
    + add usage comment
  * update git-buildpackage config:
    + use DEP-14 branch names */latest
    + sign tags
    + filter out all .git* files
    + stop disable patch numbering
    + add usage comment
  * set Rules-Requires-Root: no
  * drop patches cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2021 03:14:27 +0100

link-grammar (5.8.0-7) unstable; urgency=medium

  * QA upload.

  * add patches cherry-picked upstream
    to fix multi-dict test failure
    (see bug#975696)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Jan 2021 01:29:28 +0100

link-grammar (5.8.0-6) unstable; urgency=medium

  * QA upload.

  * drop unsuccessful patch 1001
  * add patches cherry-picked upstream
    to fix multi-thread test failure;
    closes: bug#975696

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jan 2021 00:30:14 +0100

link-grammar (5.8.0-5) unstable; urgency=medium

  * QA upload.

  * add patch 1001 as a possible multithreading fix

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Dec 2020 14:21:33 +0100

link-grammar (5.8.0-4) unstable; urgency=medium

  * QA upload.

  * inspect test-suite log in case of failure,
    unless DEB_BUILD_OPTIONS=terse

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 21:47:56 +0100

link-grammar (5.8.0-3) unstable; urgency=medium

  * QA upload.

  * improve autopkgtest:
    + check core tests and python bindings unit tests separately
    + tighten python bindings unit tests
      to check data and all (not only most) code
      from installed packaged (not from unpacked source)
    + flag core test as flaky
      (mysteriously fails particularly on armhf,
      despite succeeding during build);
      closes: bug#975696, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 18:46:03 +0100

link-grammar (5.8.0-2) unstable; urgency=medium

  * QA upload.

  * rename patches;
    add debian/patches/README micro-policy;
    consistently add DEP-3 patch headers
  * support DEB_BUILD_OPTIONS=noopt:
    + add patches cherry-picked upstream
      to allow overriding upstream compiler option -O3
    + re-enable -O3 by default in rules file
  * run tests verbosely in autopkgtest
  * stop include unit tests with package python-link-grammar-examples,
    and stop check those tests with autopkgtest:
    superfluous and requires data from source package
  * fix build-depend on locales-all,
    and stop disable tests during build (seemingly works now)
  * build-depend on hunspell libpcre2-dev
  * tighten build-dependency on d-shlibs, and drop local overrides
  * use debhelper compatibility level 13 (not 12)
  * build-depend on dh-sequence-python3 python3-all-dev
    (not dh-python python3-dev python3-distutils
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 16:46:08 +0100

link-grammar (5.8.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release - closes: #962453

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 23 Aug 2020 09:32:43 +0900

link-grammar (5.7.0-3) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with swig 4.0.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Feb 2020 11:46:39 +0100

link-grammar (5.7.0-2) unstable; urgency=medium

  * QA upload.

  [ Matthias Klose ]
  * Allow stderr in python-tests autopkg test.

  [ Gianfranco Costamagna ]
  * debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
    implicit-function-declaration from those passed to C++ compilers; since it
    is only valid for C.
  * debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
    to find the right spelling for words. This should help tests. Dictionaries
    grow.
  * don't fail on new python autopkgtest, and put back the old autopkgtest

 -- Matthias Klose <doko@debian.org>  Thu, 13 Feb 2020 08:58:32 +0100

link-grammar (5.7.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
   - debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
     implicit-function-declaration from those passed to C++ compilers; since it
     is only valid for C.
   - debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
     to find the right spelling for words. This should help tests. Dictionaries
     grow.
   - don't fail on new python autopkgtest, and put back the old autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2020 16:18:53 +0100

link-grammar (5.7.0-1) unstable; urgency=medium

  [ Masayuki Hatta ]
  * QA upload.
  * Update standards version to 4.5.0, no changes needed.
  * Add 01-disable-multi-dict-test.patch to disable the multi-dict test.
    I'm still not sure why it works outside then fails inside pbuilder.

  [ Fabian Wolff ]
  * New upstream release.
  * Update watch file to use GitHub.
  * Upgrade to debhelper compat level 12.
  * Drop python-link-grammar package (Closes: #936951).
  * Add flex to build dependencies.
  * "make check" should run during the build; this is not what
    autopkgtest is intended for.
  * Add 00-disable-python-test.patch to disable the Python tests during
    the build (see the header for justification), and add python-tests
    autopkgtest to run the Python tests on the installed package
    instead.
  * Remove debian/liblink-grammar5.symbols (Closes: #939454)
    (admittedly not the best solution probably, but whoever has a
    better idea is welcome to fix this in the future).

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 03 Feb 2020 23:51:14 +0900

link-grammar (5.7.0-0ubuntu1) focal; urgency=medium

  * New upstream version
  * debian/liblink-grammar5.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Dec 2019 16:58:49 +0100

link-grammar (5.6.2-1ubuntu1) eoan; urgency=medium

  * debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
    implicit-function-declaration from those passed to C++ compilers; since it
    is only valid for C.
  * debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
    to find the right spelling for words. This should help tests. Dictionaries
    grow.
  * debian/rules: soften the dpkg-gensymbols options to -c1; such that we don't
    fail to build because of C++ symbols.
  * debian/liblink-grammar5.symbols: drop mangled C++ symbols which will differ
    per architecture, etc.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 22 Aug 2019 12:14:23 -0400

link-grammar (5.6.2-1) unstable; urgency=medium

  [ Masayuki Hatta ]
  * QA upload.
  * New upstream release.
  * Bumped Standards-Version to 4.4.0.

  [ Jonas Smedegaard ]
  * Fix Vcs-Git URL.

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 20 Aug 2019 22:09:58 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog liblink-grammar5t64`.
